> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/restore-rdmentryhistory.md).

# Restore-RDMEntryHistory

Restore-RDMEntryHistory revierte una entrada activa de Remote Desktop Manager a una de sus versiones anteriores.

### Sinopsis

Revertir una entrada a una versión anterior

### Sintaxis

#### \_\_AllParameterSets

```
Restore-RDMEntryHistory [-History] <PSConnectionHistory> [-PassThru]
 [-ForcePromptAnswer <DialogResult[]>] [-WhatIf] [-Confirm] [<CommonParameters>]
```

### Descripción

Revertir una entrada activa a una de sus versiones anteriores, obtenida de Get-RDMEntryHistory. Se conserva el historial de contraseñas actual y se restaura el documento incrustado de la versión, si existe. Si la carpeta de la versión difiere de la carpeta actual de la entrada, la entrada conserva su carpeta actual y se emite una advertencia en lugar de la solicitud interactiva que muestra el cliente Windows.

### Ejemplos

#### Ejemplo 1

```powershell
PS C:\> Get-RDMEntryHistory -InputObject $id | Where-Object ModifiedDate -eq $target | Restore-RDMEntryHistory -PassThru
```

Revertir la entrada a una versión concreta y devolver la entrada revertida.

#### Ejemplo 2

```powershell
PS C:\> $currentUserName = ([xml](Get-RDMEntry $id | ConvertTo-RDMEntryXml)).Connection.Credentials.UserName
        foreach ($version in Get-RDMEntryHistory -InputObject $id) {
            $versionUserName = ([xml]($version | ConvertTo-RDMEntryXml)).Connection.Credentials.UserName
            if ($versionUserName -eq $currentUserName) {
                continue
            }
            $version | Restore-RDMEntryHistory
            break
        }
```

Revertir la entrada a la última versión anterior al cambio de su nombre de usuario.

### Parámetros

#### -Confirm

Solicita confirmación antes de ejecutar el cmdlet.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Modificador que debe usarse con precaución. Responderá automáticamente a los mensajes que planteen preguntas de sí/no, sí/no/cancelar u ok/cancelar. En caso de varios mensajes, se pueden pasar varios valores a este parámetro. Estos son los valores aceptados:

* Yes: acepta el mensaje. Cubre los valores OK y Automatic.
* No: rechaza el mensaje sí/no/cancelar. "Cancel" es la opción alternativa si no existe la opción "No".
* Cancel: cancela el mensaje sí/no/cancelar. "No" es la opción alternativa si no existe la opción "Cancel".

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -History

La versión a la que revertir, obtenida de Get-RDMEntryHistory

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnectionHistory
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -PassThru

Devolver la entrada revertida.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Muestra lo que ocurriría si se ejecutara el cmdlet. El cmdlet no se ejecuta.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Entradas

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnectionHistory

Una versión obtenida de Get-RDMEntryHistory

### Salidas

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection

La entrada revertida, cuando se especifica -PassThru

### Notas

Para más información, escriba "Get-Help Restore-RDMEntryHistory -detailed". Para obtener información técnica, escriba "Get-Help Restore-RDMEntryHistory -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/restore-rdmentryhistory.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
